package client.gui.container;

import client.Client;
import common.inventory.ContainerHopper;
import common.inventory.IInventory;
import common.inventory.InventoryPlayer;

public class GuiHopper extends GuiContainer {
	private final IInventory playerInv;
	private final IInventory hopper;

	public GuiHopper(InventoryPlayer playerInv, IInventory hopper) {
		super(new ContainerHopper(playerInv, hopper, Client.CLIENT.player));
		this.playerInv = playerInv;
		this.hopper = hopper;
		this.ySize = 133;
	}

	public void addElements() {
		this.label(this.hopper.getCommandName(), 8, 6);
		this.label(this.playerInv.getCommandName(), 8, this.ySize - 96 + 2);
	}
}
